local Pipeline(tag) = {
  kind: "pipeline",
  type: "kubernetes",
  name: tag + "build",
  platform: {
    os: "linux",
    arch: "amd64",
  },
  steps: [
    {
      name: tag,
      image: "plugins/kaniko",
      settings: {
        repo: "lerentis/ansible",
        username: { "from_secret": "docker_username" },
        password: { "from_secret": "docker_password" },
        dockerfile: tag + "/Dockerfile",
        tags: [ tag ],
      },
      resources: {
        limits: {
          cpu: "200",
          memory: "1024MiB",
        },
      },
      when: [ "push", "pull_request", "cron" ]
    }
  ]
};


[
  Pipeline("ubuntu-20.04"),
  Pipeline("ubuntu-18.04"),
  Pipeline("ubuntu-14.04"),
  Pipeline("debian-8"),
  Pipeline("debian-9"),
  Pipeline("debian-10"),
  Pipeline("centos-7"),
  Pipeline("almalinux-8"),
  Pipeline("fedora-24"),
  Pipeline("alpine-3"),
  Pipeline("arch"),
]
